
% This document demonstrate the use of the ping command
% Author: John-Olof Nilsson

% Clear workspace
clear all, clc, close all

% Open serial port
% CHANGE THIS TO WHATEVER SERIAL PORT YOUR DEVICE IS CONNECTED AS!
com = serial('COM6');
fopen(com);

% Ping the module
command = [3 0 3]
fwrite(com,command,'uint8');

% Wait a little bit
pause(1);

% Read the response
response = fread(com,com.BytesAvailable,'uint8')'

% Close serial port and file
fclose(com);
